lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From harshchawla <ha...@livecareer.com>
Subject How to patch Solr4.2 for SolrEnityProcessor Sub-Enity issue
Date Fri, 23 Aug 2013 10:59:09 GMT
According to
http://stackoverflow.com/questions/15734308/solrentityprocessor-is-called-only-once-for-sub-entities?lq=1
we can use the patched SolrEntityProcessor in
https://issues.apache.org/jira/browse/SOLR-3336?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel
to solve the subentity problem.

I tried renaming the jar file to zip and then try replacing the patched file
but as I got only java file I can't replace it with class file. So I drop
this idea.

Here is then what I have tried. I decompiled the original jar
solr-dataimporthandler-4.2.0.jar present in solr 4.2 package. Then I replace
the patch file. And try to compile the files for making the jar again. But I
started getting compilation errors.

.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:397: ')'
expected

/* 432 / if (XPathEntityProcessor.2.this.val$isEnd.get()) { ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:397: expected
/ 432 / if (XPathEntityProcessor.2.this.val$isEnd.get()) { ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:397: not a
statem ent / 432 / if (XPathEntityProcessor.2.this.val$isEnd.get()) { ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:397: illegal
star t of expression / 432 */ if
(XPathEntityProcessor.2.this.val$isEnd.get()) { ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:397: ';'
expected

/* 432 */ if (XPathEntityProcessor.2.this.val$isEnd.get()) { ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:397: ';'
expected

/* 432 / if (XPathEntityProcessor.2.this.val$isEnd.get()) { ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:398: not a
statem ent / 433 */ XPathEntityProcessor.2.this.val$throwExp.set(false); ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:398: ';'
expected

/* 433 / XPathEntityProcessor.2.this.val$throwExp.set(false); ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:406: not a
statem ent / 442 */ XPathEntityProcessor.2.this.val$isEnd.set(true); ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:406: ';'
expected

/* 442 / XPathEntityProcessor.2.this.val$isEnd.set(true); ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:409: not a
statem ent / 445 */ XPathEntityProcessor.2.this.offer(row); ^
.\org\apache\solr\handler\dataimport\XPathEntityProcessor.java:409: ';'
expected

/* 445 */ XPathEntityProcessor.2.this.offer(row); ^ 12 errors

Any idea how to patch Solr4.2 for this issue.

I thought it must be in Sol4.4 but it is not in it. Any help on this. 




--
View this message in context: http://lucene.472066.n3.nabble.com/How-to-patch-Solr4-2-for-SolrEnityProcessor-Sub-Enity-issue-tp4086292.html
Sent from the Solr - User mailing list archive at Nabble.com.

Mime
View raw message